<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Uniformstatement extends Admin_Controller {

   
    function __construct() {
        parent::__construct();
    }

	function index() {
        if (!$this->rbac->hasPrivilege('class', 'can_view')) {
            access_denied();
        }
        // Set session data for UI menu
        $this->session->set_userdata('top_menu', 'Uniformstatement');
        $this->session->set_userdata('sub_menu', 'uniformstatement/index');
        // Load data for the view
        $data['title'] = 'Uniformstatement';
        $data['title_list'] = 'Uniformstatement';
	}

	function customer_statement() {
		
		if (!$this->rbac->hasPrivilege('class', 'can_view')) {access_denied();}
		
			   $this->session->set_userdata('top_menu', 'Uniformstatement');
			   $this->session->set_userdata('sub_menu', 'uniformstatement/customer_statement');

			   $this->form_validation->set_rules('name', 'Student Name', 'required');
			   $this->form_validation->set_rules('from', 'Start Date', 'required');
			   $this->form_validation->set_rules('to', 'End Date', 'required');

			   if ($this->form_validation->run() == FALSE) {
				   
									$data['students']=$this->uniformpos_model->selectstds();   
							   
								   $this->load->view('layout/header', $data);
								   $this->load->view('uniformpos/uniformstatement', $data);
								   $this->load->view('layout/footer', $data);
				   
			   } else {			

					   $name = $this->input->post('name');
					   $from = $this->input->post('from');
					   $to = $this->input->post('to');
					   $search = $this->input->post('search');
											   
				   if (isset($search)) {

						   $resultlist = $this->uniformpos_model->customer_search($name, $from, $to);
						   $data['customer_results'] = $resultlist;
						   
						$data['students']=$this->uniformpos_model->selectstds(); 
						
						 $data['name']=$name;
						$data['from']=$from;
						$data['to']=$to;
					   
					   $this->load->view('layout/header', $data);
					   $this->load->view('uniformpos/uniformstatement', $data);
					   $this->load->view('layout/footer', $data);
				   }
				   else{
						 echo "PLEASE NOTHING HAS BEEN SUBMITTED TO CASH BOOK FORM";
				   }
			   }          
   }	

    public function printCustomerStatement() {
        // Check user privileges
        if (!$this->rbac->hasPrivilege('class', 'can_view')) {
            access_denied();
        }

        // Fetch settings data
        $setting_result = $this->setting_model->get();
        $data['settinglist'] = $setting_result;

        // Process form input
        $name = $this->input->post('name');
        $from = $this->input->post('from');
        $to = $this->input->post('to');

        // Fetch results from the model
        $resultlist = $this->customer_model->customer_search($name, $from, $to);
        $data['customer_results'] = $resultlist;

        // Load additional data for the view
        $data['customer'] = $this->customer_model->select();
        $data['name'] = $name;
        $data['from'] = $from;
        $data['to'] = $to;

        // Render the print view
        $this->load->view('print/printCustomerStatement', $data);
    }
}
?>
 