<?php $currency_symbol = $this->customlib->getSchoolCurrencyFormat(); ?>
<style type="text/css">
@media print {
    body, table {
        font-size: 10pt; /* Ensure fonts are readable */
        line-height: 1.5; /* Adjust line spacing */
    }

    .col-sm-1, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, 
    .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-10, .col-sm-11, .col-sm-12 {
        float: left;
    }
    .col-sm-12 { width: 100%; }
    .col-sm-6 { width: 50%; }
    .col-sm-4 { width: 33.333%; }
    .col-sm-3 { width: 25%; }

    /* Define explicit width for receipt paper */
    .container {
        width: 80mm; /* Set width for 80mm paper roll */
        max-width: 100%;
        margin: 0 auto; /* Center alignment */
        padding: 0;
    }

    /* Adjust table for compact view */
    .table {
        font-size: 9pt; /* Slightly smaller font for tables */
        width: 100%;
    }
    .table th, .table td {
        padding: 4px; /* Minimize padding for tight layout */
    }

    /* Header adjustments for clarity */
    .header img {
        max-height: 50px; /* Scale logo for receipts */
    }
    .header strong {
        font-size: 12pt; /* Slightly larger for emphasis */
    }

    /* Hide unnecessary elements */
    .hidden-xs, .hidden-print {
        display: none !important;
    }

    /* Show only essential items */
    .visible-xs, .visible-sm {
        display: block !important;
    }
}
</style>


<html lang="en">
    <head>
        <title> Uniform Receipt<?php echo $this->lang->line(''); ?></title>
        <link rel="stylesheet" href="<?php echo base_url(); ?>backend/bootstrap/css/bootstrap.min.css"> 
        <link rel="stylesheet" href="<?php echo base_url(); ?>backend/dist/css/AdminLTE.min.css">
    </head>
    <body> 
        <div class="container">

        <div class="row">
                <div id="content" class="col-lg-12 col-sm-12 ">
                    <div class="invoice">
                        <div class="row header text-center">
                            <div class="col-sm-12">
                                <?php
                                if ($settinglist[0]['image'] != "") {
                                    ?>

                                    <img style="height:70px; " src="<?php echo base_url(); ?>/uploads/school_content/logo/<?php echo $settinglist[0]['image']; ?>"> <br/>
                                    <?php
                                }
                                ?>

                                <strong style="font-size: 20px;"><?php echo $settinglist[0]['name']; ?></strong><br>
                                <?php echo $settinglist[0]['address']; ?>

                                <?php echo $this->lang->line('phone'); ?>: <?php echo $settinglist[0]['phone']; ?><br>

                            </div><!--/col-->
                        </div>
                        <div class="row">                           
                            <div class="col-xs-6">
                                <br/>
                                <address>
                                    <strong><?php echo $feearray[0]->firstname . "Talia Nissi Jakata" . $feearray[0]->lastname; ?></strong><br>
                                    <?php echo $this->lang->line(''); ?>Class:<?php echo $feearray[0]->class . "(Grade 1 " . $feearray[0]->section . "Diamond)"; ?>
                                </address>
                            </div>
                            <div class="col-xs-6 text-right">
                                <br/>
                                <address>
									<b style="color:Red; font-size:18px;">INVOICE</b>
                                    <strong>
									<?php
											$student_session_id = $feearray[0]->student_session_id;															
											
											$this->db->select('*');
											$this->db->from('fee_session_groups');
											$query0 = $this->db->get();
											$result0 = $query0->row();
											
											$fee_groups_id  = $result0->fee_groups_id ;																
											
											$this->db->select('*');
											$this->db->from('student_fees_master');
											$this->db->where('student_session_id',$student_session_id);
											//$this->db->where('fee_session_group_id ',$fee_groups_id );
											$query = $this->db->get();
											$result = $query->row();
											
											$invoice_number = $result->id;	
											$date_created = $result->created_at ;	
											$invoice_number_new = "INV" . sprintf('%04s', $invoice_number);
												echo "<div style='color:blue;fontsize:14px;'>Invoice No.  ".$invoice_number_new."</div>";
											 
									?> 													
										
										<?php
										
											
											echo "<div style='color:blue;fontsize:14px;'>Date: ".$date_created."</div>"; 
										?>
										</strong><br/>

                                </address>                               
                            </div>
                        </div>            
                        <hr style="margin-top: 0px;margin-bottom: 0px;" />
                        <div class="row">
                            <?php
                            if (!empty($uniform)) {
                                ?>
                            <table class="table table-hover table-striped table-bordered example">
                                <thead>
                                    <tr>
                                        <th>Date</th>
                                        <!--<th>Student Id</th> -->
                                        <th>Item Code</th>
                                        <th>Description</th>
										<th>Quantity</th>
                                        <th>Unit Price</th>
                                        <th>Total</th>
                                        
                                        
                                                                              
                                    </tr>
                                </thead>
                                <tbody>
                                <?php  
										 foreach ($uniform->result() as $row)  
										 {   
                                        ?>
                                        <tr>
                                            <td class="mailbox-name"><?php echo $row->created_date;?></td>
                                            <!--<td class="mailbox-name"><?php echo $row->student_id;?></td> -->
                                            <td class="mailbox-name"><?php echo $row->itemcode;?>
                                            <?php 

                                                $itemcode2= $row->itemcode;


                                                $this->db->select('*');
                                                $this->db->from('uniformpos');
                                                $this->db->where('itemcode', $itemcode2);
                                                $query = $this->db->get();
                                                $result = $query->row();
echo $result->itemgroups.'/'.$result->groupsize.'-'.$result->valuesize.'/'.$result->groupstyle.'-'.$result->stylevalue.'/'.$result->colourgroup.'-'.$result->colourvalue.'/'.$result->gendergroup.'-'.$result->gendervalue;

                                            ?></td>
											<td class="mailbox-name"><?php echo $row->item_description;?></td>
                                            
                                            <td class="mailbox-name"><?php echo $row->quantity;?></td>
                                            <td class="mailbox-name"><?php echo $row->selling_price;?></td>
                                            <td class="mailbox-name"><?php echo $row->total;?></td>
                                        
                                            										

                                        </tr>
									<?php } ?>
                                </tbody>
                                    </table>
                                <?php
                            }
                            ?>

                        </div>
                    </div>
                </div>  
            </div>
            
					<div class="row">
					    <div class="col-xs-4">
								<table style="font-size: 8pt;">
                                    <thead>
                                    <th>Bank Details 1</th>
                                    </thead>
                                    <tbody>
                                        <tr class="table table-striped table-bordered table-hover table-fixed-header">
                                             <td align="left" class="text text-left" >
                                                <b>    <?php echo $settinglist[0]['bank_details1']; ?></b>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>	
                        </div>						    
						<div class="col-xs-4">
                                <table style="font-size: 8pt;">
                                    <thead>
                                    <th>Bank Details 2</th>
                                    </thead>
                                    <tbody>
                                         <tr class="table table-striped table-bordered table-hover table-fixed-header">
                                          <td align="left" class="text text-left" >
                                                <b>    <?php echo $settinglist[0]['bank_details2']; ?></b>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>	
                        </div>						
						<div class="col-xs-4">
                                <table style="font-size: 8pt;">
                                    <thead>
                                    <th>Bank Details 3</th>
                                    </thead>
                                    <tbody>
                                         <tr class="table table-striped table-bordered table-hover table-fixed-header">
                                          <td align="left" class="text text-left" >
                                                <b>    <?php echo $settinglist[0]['bank_details3']; ?></b>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>	
                        </div>								
					</div>
        </div>
        <div class="clearfix"></div>
        <footer>           
        </footer>
    </body>
</html>
