<?php $currency_symbol = $this->customlib->getSchoolCurrencyFormat(); ?>


<style>
    /* Style the input to have space for the prefix */
    #supplier_invoice_wrapper {
        position: relative;
        display: inline-block;
        width: 100%;
    }

    #supplier_invoice_wrapper::before {
        content: "INV";
        position: absolute;
        top: 50%;
        left: 10px; /* Adjust padding for the prefix */
        transform: translateY(-50%);
        font-weight: bold; /* Make the prefix bold */
        color: ##003366;
        pointer-events: none; /* Make sure it doesn't block input */
    }

    #inv_number2 {
        padding-left: 50px; /* Create space for the prefix */
    }
</style>

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper" >

    <section class="content-header">
        <h1>
            <i class="fa fa-mortar-board"></i> Point Of Sale
        </h1>
        <a href="<?php echo base_url(); ?>uniformreceipting" class="col-md pull-right">Receipt a Uniform</a>
        <b style="padding-left:5px;padding-right:5px;" class="pull-right"> | </b>
        <a href="<?php  echo base_url(); ?>uniformpos" class="col-md pull-right">Sale a Uniform</a>
        <b style="padding-left:5px;padding-right:5px;" class="pull-right"> | </b>
        <a href="<?php  echo base_url(); ?>uniformitem" class="col-md pull-right">Add Item</a>
        <b style="padding-left:5px;padding-right:5px;" class="pull-right"> | </b>
        <a href="<?php  echo base_url(); ?>group" class="col-md pull-right">Create Group</a>
        <b style="padding-left:5px;padding-right:5px;" class="pull-right"> | </b>
        <a href="<?php  echo base_url(); ?>values" class="col-md pull-right">Create Values</a>
   
        
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <?php
            if ($this->rbac->hasPrivilege('class', 'can_add')) {
                ?>
            <div class="col-md-4">
                <!-- Horizontal Form -->
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title"><?php echo $title;       ?></h3>
                    </div><!-- /.box-header -->
                    <form id="form1" action="<?php echo base_url('Uniformreceipting/add') ?>" method="POST" accept-charset="utf-8">
                        <div class="box-body">
                            <?php if ($this->session->flashdata('msg')) { ?>
                            <?php echo $this->session->flashdata('msg') ?>
                            <?php } ?>
                            <?php
                                if (isset($error_message)) {
                                    echo "<div class='alert alert-danger'>" . $error_message . "</div>";
                                }    
                                ?>
                            <?php echo $this->customlib->getCSRF(); ?>

                            <div class="form-group">
                                <label for="colour">Date</label><small class="req"> *</small>
                                <input autofocus="" id="rec_date" name="rec_date" placeholder="" type="date"
                                    class="form-control" value="<?php echo date("Y-m-d")?>" />
                                <span class="text-danger"><?php echo form_error('inv_date'); ?></span>
                            </div>

                            <div class="form-group">
                                <label for="rec">Receipt</label><small class="req"> *</small>
                                <input autofocus="" id="rec" name="rec" placeholder="" readonly  type="text"
                                    class="form-control" value="<?php echo $rec; ?>" />
                                <span class="text-danger"><?php echo form_error('rec'); ?></span>
                            </div>
                           <!-- <div class="form-group">
                                <label for="inv_number">Reference</label><small class="req">*</small>
                                <div id="supplier_invoice_wrapper">
                                    <input 
                                        id="inv_number" 
                                        name="inv_number" 
                                        placeholder="Enter invoice number" 
                                        type="text" 
                                        class="form-control" 
                                        value="" 
                                    />
                                </div>
                                <span class="text-danger"><?php echo form_error('inv_number'); ?></span>
                            </div>

                            <script>
                                document.getElementById('inv_number').addEventListener('input', function () {
                                    const prefix = 'INV';
                                    const inputField = this;
                                    const value = inputField.value;

                                    // Ensure prefix remains intact
                                    if (!value.startsWith(prefix)) {
                                        inputField.value = prefix + value.replace(prefix, '');
                                    }
                                });
                            </script>
                              -->

     <div class="form-group">
    <label for="inv_number">Reference</label><small class="req"> *</small>
    <select id="inv_number" name="inv_number" class="form-control">
        <option value="">Select Reference</option>
        <?php 
        if (isset($references) && !empty($references)) {
            foreach ($references as $reference) { ?>
                <option value="<?php echo $reference->batch_num; ?>">
                    <?php echo $reference->batch_num . ' : ' . $reference->itemcode . ' - ' . $reference->description; ?>
                </option>
        <?php 
            }
        } 
        ?>
    </select>
    <span class="text-danger"><?php echo form_error('inv_number'); ?></span>
</div>

<div class="form-group">
    <label for="student_id">Student Id</label><small class="req"> *</small>
    <select id="student_id" name="student_id" class="form-control">
        <option value="select"><?php echo $this->lang->line('select') ?></option>
        <?php foreach ($studenID->result() as $student) { ?>
            <option value="<?php echo $student->admission_no; ?>" data-firstname="<?php echo $student->firstname; ?>" data-lastname="<?php echo $student->lastname; ?>"><?php echo $student->admission_no; ?></option>
        <?php } ?>
    </select>
    <span class="text-danger"><?php echo form_error('student_id'); ?></span>
</div>

<div class="form-group">
    <label for="name">Name</label><small class="req"> *</small>
    <input autofocus="" id="name" name="name" readonly type="text" class="form-control" value="<?php echo set_value('name'); ?>" />
    <span class="text-danger"><?php echo form_error('name'); ?></span>
</div>

<!--

<div class="form-group">
    <label for="student_id">Student Id</label><small class="req"> *</small>
    <select id="student_id" name="student_id" class="form-control">
        <option value="select"><?php echo $this->lang->line('select') ?></option>
        <?php foreach ($studenID->result() as $student) { ?>
            <option value="<?php echo $student->admission_no; ?>" data-firstname="<?php echo $student->firstname; ?>" data-lastname="<?php echo $student->lastname; ?>"><?php echo $student->admission_no; ?></option>
        <?php } ?>
    </select>
    <span class="text-danger"><?php echo form_error('student_id'); ?></span>
</div>

<div class="form-group">
    <label for="firstname">First Name</label><small class="req"> *</small>
    <input autofocus="" id="firstname" name="firstname" readonly type="text" class="form-control" value="<?php echo set_value('firstname'); ?>" />
    <span class="text-danger"><?php echo form_error('firstname'); ?></span>
</div>

<div class="form-group">
    <label for="lastname">Last Name</label><small class="req"> *</small>
    <input autofocus="" id="lastname" name="lastname" readonly type="text" class="form-control" value="<?php echo set_value('lastname'); ?>" />
    <span class="text-danger"><?php echo form_error('lastname'); ?></span>
</div>
        -->
<div class="form-group">
    <label for="gl_account">Account Name</label><small class="req"> *</small>
    <select id="gl_account" name="gl_account" class="form-control">
        <option value="">Select GL Account</option>
        <?php foreach ($glledger_accounts->result() as $grup11) { ?>
            <option value="<?php echo $grup11->name; ?>">
                <?php echo $grup11->gl_code . ' > ' . $grup11->name; ?>
            </option>

            <?php
            $account_type = $grup11->gl_code;
            // Query the database for sub-accounts related to the current account
            $this->db->select('*');
            $this->db->from('glsub_account');
            $this->db->where('account_type', $account_type); // Fixed the WHERE clause
            $this->db->order_by('glsub_account.name', 'ASC');
            $query1 = $this->db->get();

            foreach ($query1->result() as $grup12) {
            ?>
                <option value="<?php echo $grup12->name; ?>">
                    <?php echo $grup11->gl_code . ' > ' . $grup12->glsub_code . ' > ' . $grup12->name; ?>
                </option>
            <?php } ?>
        <?php } ?>
    </select>
    <span class="text-danger"><?php echo form_error('gl_account'); ?></span>
</div>

                          
                            <div class="form-group">
                                <label for="colour">Description</label><small class="req"> *</small>
                                <input autofocus="" id="description" name="description" placeholder="" type="text"
                                    class="form-control" value="<?php echo set_value('description'); ?>" />
                                <span class="text-danger"><?php echo form_error('description'); ?></span>
                            </div>
                            
                            <div class="form-group">
                                <label for="amount">Amount</label><small class="req"> *</small>
                                <input autofocus="" id="amount" name="amount" placeholder="" type="text"
                                    class="form-control" value="<?php echo set_value('amount'); ?>" />
                                <span class="text-danger"><?php echo form_error('amount'); ?></span>
                            </div>

                            <div class="form-group">
                                <label for="discount">Discount</label><small > </small>
                                <input autofocus="" id="discount" name="discount" placeholder="0.00" type="text"
                                    class="form-control" value="<?php echo set_value('discount', '0'); ?>" />
                                <span class="text-danger"><?php echo form_error('discount'); ?></span>
                            </div>
                           
                            <div class="form-group">
                                <label for="payment">Payment Method</label><small class="req"> *</small>
                                <select id="payment" name="payment" placeholder="" type="text" class="form-control">
                                    <option value=""><?php echo $this->lang->line('select') ?></option>
                                    <?php 
												foreach ($payment_methods->result() as $method) {
												?>
                                    <option value="<?php echo $method->payment_methods; ?>">
                                        <?php echo $method->payment_methods; ?></option>
                                    <?php }
											?>
                                </select>
                                <span class="text-danger"><?php echo form_error('payment'); ?></span>
                            </div>
                        </div><!-- /.box-body -->
                        <div class="box-footer">
                            <button type="submit"
                                class="btn btn-info pull-right"><?php echo $this->lang->line('save'); ?></button>
                        </div>

                    </form>
                </div>
            </div>
            <!--/.col (right) -->
            <!-- left column -->
            <?php } ?>
            <div class="col-md-<?php
            if ($this->rbac->hasPrivilege('class', 'can_add')) {
                echo "8";
            } else {
                echo "12";
            }
            ?>">
                <!-- general form elements -->
                <div class="box box-primary">
                    <div class="box-header ptbnull">
                        <h3 class="box-title titlefix"><?php echo $title_list; ?></h3>
                        <div class="box-tools pull-right">
                        </div><!-- /.box-tools -->
                    </div><!-- /.box-header -->
                    <div class="box-body">
                        <div class="table-responsive mailbox-messages">
                            <div class="download_label"><?php echo $title_list; ?></div>
                            <table class="table table-striped table-bordered table-hover example">
                                <thead>
                                    <tr>
                                        <th>Entry Date</th>
                                        <th>Student ID</th>
                                        <th>Name</th>
                                        <th>GL Account</th>
                                        <th>Description</th>
                                        <th>Amount</th>
                                        <th>Discount</th>
                                        <th>Total</th>                                     
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php  
										 foreach ($uniform->result() as $row)  
										 {   
                                        ?>
                                    <tr>
                                        <td class="mailbox-name"><?php echo $row->created_date;?></td>
                                        <td class="mailbox-name"><?php echo $row->student_id;?></td>
                                        <td class="mailbox-name"><?php echo $row->name;?></td>
                                        <td class="mailbox-name"><?php echo $row->gl_account;?></td>
                                        <td class="mailbox-name"><?php echo $row->description;?></td>  
                                     <td class="mailbox-name"><?php echo $row->amount;?></td>
                                        <td class="mailbox-name"><?php echo $row->discount;?></td>
                                        <td class="mailbox-name"><?php echo ($row->amount)- $row->discount;?></td>
                                    </tr>
                                    <?php } ?>
                                    <tr>
													 <td>           
															<div class="btn-group pull-left"> 														
																<button  class="btn btn-xs btn-info printRec"                  
																		 title="<?php echo $this->lang->line('print'); ?>"
																		 ><i class="fa fa-print"></i> Print Receipt</button>
															</div> 
														</td>
												</tr>
                                </tbody>
                            </table><!-- /.table  <link rel="stylesheet" href="<?php echo base_url(); ?>backend/dist/css/style.css">-->




                            <div class="py-4" style="display: none">
      <div class="px-14 py-6">
        <table class="w-full border-collapse border-spacing-0">
          <tbody>
            <tr>
              <td class="w-full align-top">
              <div style="display: flex;">
                    <img style="width: 70px; height: 70px;" src="<?php echo base_url(); ?>/uploads/logo.jpg" class="h-12" />
                    <p class="whitespace-nowrap font-bold text-main text-10xl ml-4" style="margin-top: 20px; font: 30px; margin-left: 10px">Uniform Receipt</p>
                </div>
              </td>

              <td class="align-top">
                <div class="text-sm">
                  <table class="border-collapse border-spacing-0">
                    <tbody>
                      <tr>
                        <td class="border-r pr-4">
                          <div>
                            <p class="whitespace-nowrap text-slate-400 text-right">Date</p>
                            <?php
    $todayLongDate = (new DateTime())->format('F j, Y');
?>
                            <p class="whitespace-nowrap font-bold text-main text-right"><?php echo  $todayLongDate ?></p>
                          </div>
                        </td>
                        <td class="pl-4">
                          <div>
                            <p class="whitespace-nowrap text-slate-400 text-right">Student ID</p>
                            <p class="whitespace-nowrap font-bold text-main text-right"><?php echo  $studentID ?></p>
                          </div>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </td>
            </tr>
          </tbody>
        </table>
      </div>

      <div class="bg-slate-100 px-14 py-6 text-sm">
        <table class="w-full border-collapse border-spacing-0">
          <tbody>
            <tr>
              <td class="w-1/2 align-top">
                <div class="text-sm text-neutral-600">
                
                <p class="font-bold">Receipt No#</p>
                  <p><?php echo  $rec ?></p>               
                </div>
              </td>
              <td class="w-1/2 align-top text-right">
                <div class="text-sm text-neutral-600">
              
  <p class="font-bold">
                    <?php 
                    $this->db->select('*');
                    $this->db->from('students');
                    $this->db->where('admission_no', $studentID);
                    $query = $this->db->get();
                    $result = $query->row();
                     if ($result) {
                    echo $result->firstname.' '.$result->lastname;
                     } else {
        echo "No Name found.";
    }
                    ?>
                </p>
                  <p>
                    <?php 
                    $this->db->select('*');
                    $this->db->from('students');
                    $this->db->where('admission_no', $studentID);
                    $query = $this->db->get();
                    $result = $query->row();
                    if ($result) {
                    echo $result->current_address;
                    } else {
        echo "No address found.";
    }
                    ?>
                </p>
                
              <p>
    <?php 
    // Use raw SQL query directly
    $sql = "SELECT * FROM classes WHERE id = (
                SELECT class_id 
                FROM student_session 
                WHERE student_id = (
                    SELECT id 
                    FROM students 
                    WHERE admission_no = '$studentID' 
                    LIMIT 1
                ) 
                LIMIT 1
            )";
    
    $query = $this->db->query($sql);
    $result = $query->row();
    
    // Accessing the 'class' column
    if ($result) {
        echo $result->{'class'}; // Use curly braces to avoid the 'class' keyword conflict
    } else {
        echo "No class found.";
    }
    ?>
</p>

                </div>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
      <div class="px-14 py-10 text-sm text-neutral-700">
        <table class="w-full border-collapse border-spacing-0">
          <thead>
            <tr>
            <td class="border-b-2 border-main pb-3 pl-2 text-left font-bold text-main">Item Code</td>
             
              <td class="border-b-2 border-main pb-3 pl-2 font-bold text-main">Description</td>
              
             <td class="border-b-2 border-main pb-3 pl-2 text-right font-bold text-main">Price</td>
              <td class="border-b-2 border-main pb-3 pl-2 text-center font-bold text-main">Qnty</td>
              
              <td class="border-b-2 border-main pb-3 pl-2 text-center font-bold text-main">Disc</td>
              <td class="border-b-2 border-main pb-3 pl-2 pr-3 text-right font-bold text-main">Total</td>
            </tr>
          </thead>
          <tbody>

          <?php  

          $totaldisc=0;
          $total=0;
          $totalexcl=0;
										 foreach ($uniform->result() as $row)  
										 {  

                                            $total=$total+($row->quantity*$row->amount)-$row->discount;
                                            $totaldisc=$totaldisc+$row->discount;
                                            $totalexcl=$totalexcl+($row->quantity*$row->amount);


                                        ?>
       
            <tr>
            <td class="border-b py-3 pl-2"><?php echo $row->itemcode;?></td>
                                    
             
              <td class="border-b py-3 pl-2"><?php 

$itemcode2= $row->itemcode;


$this->db->select('*');
$this->db->from('uniformitem');
$this->db->where('itemcode', $itemcode2);
$query = $this->db->get();
$result = $query->row();
echo $result->itemgroups.'/'.$result->groupsize.'-'.$result->valuesize.'/'.$result->groupstyle.'-'.$result->stylevalue.'/'.$result->colourgroup.'-'.$result->colourvalue.'/'.$result->gendergroup.'-'.$result->gendervalue;

?></td>
              
              <td class="border-b py-3 pl-2 text-right"><?php echo $row->amount;?></td>
              <td class="border-b py-3 pl-2 text-center"><?php echo $row->quantity;?></td>
              <td class="border-b py-3 pl-2 text-center"><?php echo $row->discount;?></td>
              
              <td class="border-b py-3 pl-2 pr-3 text-right"><?php echo ($row->quantity*$row->amount);?></td>

            </tr>
            <?php } ?>


            <tr>
              <td colspan="9">
                <table class="w-full border-collapse border-spacing-0">
                  <tbody>
                    <tr>
                      <td class="w-full"></td>
                      <td>
                        <table class="w-full border-collapse border-spacing-0">
                          <tbody>
                      
                          <tr>
                              <td class="p-3">
                                <div class="whitespace-nowrap text-slate-400">Total (Excl):</div>
                              </td>
                              <td class="p-3 text-right">
                                <div class="whitespace-nowrap font-bold text-main"><?php echo $totalexcl;?></div>
                              </td>
                            </tr>
                          
                            <tr>
                              <td class="p-3">
                                <div class="whitespace-nowrap text-slate-400">Total (Disc):</div>
                              </td>
                              <td class="p-3 text-right">
                                <div class="whitespace-nowrap font-bold text-main"><?php echo $totaldisc;?></div>
                              </td>
                            </tr>
                            <tr>
                              <td class="bg-main p-3">
                                <div class="whitespace-nowrap font-bold text-white">Total (Amt):</div>
                              </td>
                              <td class="bg-main p-3 text-right">
                                <div class="whitespace-nowrap font-bold text-white"><?php echo $total;?></div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
      </div>
                        </div><!-- /.mail-box-messages -->
                    </div><!-- /.box-body -->
                </div>
            </div>
            <!--/.col (left) -->
            <!-- right column -->

        </div>
        <div class="row">
            <!-- left column -->

            <!-- right column -->
            <div class="col-md-12">

            </div>
            <!--/.col (right) -->
        </div> <!-- /.row -->
    </section><!-- /.content -->
</div><!-- /.content-wrapper -->
<script>
    document.getElementById('student_id').addEventListener('change', function() {
        // Get the selected option
        var selectedOption = this.options[this.selectedIndex];
        
        // Retrieve first and last name from data attributes
        var firstname = selectedOption.getAttribute('data-firstname') || '';
        var lastname = selectedOption.getAttribute('data-lastname') || '';
        
        // Concatenate first and last name and set it in the name field
        document.getElementById('name').value = firstname + ' ' + lastname;
    });
</script>
<script>
    document.querySelector('.printRec').addEventListener('click', function() {
        // AJAX request to update the database
        $.ajax({
            url: '<?php echo base_url("Uniformreceipting/updatenow"); ?>', // Route to update the DB
            type: 'POST',
            data: { batch_num_id: '0' }, // Pass the actual Receipt ID here
            success: function(response) {
                // If the database update is successful, trigger the print
                if (response == 'success') {
                    var printWindow = window.open('', '', 'height=600,width=800');
                    var content = document.querySelector('.py-4').innerHTML;
                    printWindow.document.write('<html><head><title>Print Receipt</title>');
                    printWindow.document.write('<link rel="stylesheet" href="<?php echo base_url(); ?>backend/dist/css/style.css">'); // Optional: include styles
                    printWindow.document.write('</head><body >');
                    printWindow.document.write(content);
                    printWindow.document.write('</body></html>');
                    printWindow.document.close();
                    printWindow.focus();
                    printWindow.print();
                } else {
                    alert('Failed to update the receipt status.');
                }
            },
            error: function() {
                alert('Error while updating the receipt status.');
            }
        });
    });
</script>


