<?php $currency_symbol = $this->customlib->getSchoolCurrencyFormat(); ?>
<style type="text/css">
@media print {
    body, table {
        font-size: 10pt; /* Ensure fonts are readable */
        line-height: 1.5; /* Adjust line spacing */
    }

    .col-sm-1, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, 
    .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-10, .col-sm-11, .col-sm-12 {
        float: left;
    }
    .col-sm-12 { width: 100%; }
    .col-sm-6 { width: 50%; }
    .col-sm-4 { width: 33.333%; }
    .col-sm-3 { width: 25%; }

    /* Define explicit width for receipt paper */
    .container {
        width: 80mm; /* Set width for 80mm paper roll */
        max-width: 100%;
        margin: 0 auto; /* Center alignment */
        padding: 0;
    }

    /* Adjust table for compact view */
    .table {
        font-size: 9pt; /* Slightly smaller font for tables */
        width: 100%;
    }
    .table th, .table td {
        padding: 4px; /* Minimize padding for tight layout */
    }

    /* Header adjustments for clarity */
    .header img {
        max-height: 50px; /* Scale logo for receipts */
    }
    .header strong {
        font-size: 12pt; /* Slightly larger for emphasis */
    }

    /* Hide unnecessary elements */
    .hidden-xs, .hidden-print {
        display: none !important;
    }

    /* Show only essential items */
    .visible-xs, .visible-sm {
        display: block !important;
    }
}
</style>


<html lang="en">
    <head>
        <title>Customer Invoice</title>
        <link rel="stylesheet" href="<?php echo base_url(); ?>backend/bootstrap/css/bootstrap.min.css"> 
        <link rel="stylesheet" href="<?php echo base_url(); ?>backend/dist/css/AdminLTE.min.css">
    </head>
    <body>       
        <div class="container">
            <div class="row">
                <div id="content" class="col-lg-12 col-sm-12 ">
                    <div class="invoice">
                        <div class="row header text-center">
                            <div class="col-sm-12">
                                <?php
                                if ($settinglist[0]['image'] != "") {
                                    ?>

                                    <img style="height:70px; " src="<?php echo base_url(); ?>/uploads/school_content/logo/<?php echo $settinglist[0]['image']; ?>"> <br/>
                                    <?php
                                }
                                ?>

                                <strong style="font-size: 20px;"><?php echo $settinglist[0]['name']; ?></strong><br>
                                <?php echo $settinglist[0]['address']; ?>

                                <?php echo $this->lang->line('phone'); ?>: <?php echo $settinglist[0]['phone']; ?><br>

                            </div><!--/col-->
                        </div>
						
				 <?php
                     foreach ($customerReceipt->result() as $row) {
                ?>
                        <div class="row">                           
                            <div class="col-xs-6">
                                <br/>
                                <address>
									<?php 
									            $name= $row->name;

                                                $this->db->select('*');
                                                $this->db->from('customer');
                                                $this->db->where('name', $name);
                                                $query = $this->db->get();
                                                $result = $query->row();
												
												$mobile = $result->mobile;
												$email = $result->email;
												$address = $result->address;
												$supplier_id = $result->supplier_id;												
									?>								
                                    <strong><?php echo 'Customer Id: '.$supplier_id.' <br> Name:'.$name; ?></strong><br>
                                    <?php 									        
											echo ''.$mobile. "  || " . $email ."<br>"; 
											echo $address; ?>
                                </address>
                            </div>
                            <div class="col-xs-6 text-right">
                                <br/>
                                <address>
									<b style="color:Red; font-size:18px;">RECEIPT</b>
                                    <strong>
										<?php echo "<div style='color:blue;fontsize:14px;'>Receipt No: ". $row->rec_number."</div>"; ?>
										
										<?php echo "<div style='color:blue;fontsize:14px;'>Date: ". $row->rec_date."</div>"; ?>
										</strong><br/>

                                </address>                               
                            </div>
                        </div>
                        <hr style="margin-top: 0px;margin-bottom: 0px;" />
                        <div class="row">
                                <table class="table table-striped table-responsive" style="font-size: 8pt;">
                                    <thead>
                                        <th>Description</th>
                                        <th>Qnty</th>
                                        <th>Price</th>
                                        <th>Discount (%)</th>
										<th  class="text text-right">Total</th>
										<th></th>
                                    </thead>
                                    <tbody>
                                                <tr  class="dark-gray">
													<td class="mailbox-name"><?php echo $row->description;?></td>
													<td class="mailbox-name"><?php echo $row->quantity;?></td>
													<td class="mailbox-name"><?php echo $row->price;?></td>
													<td class="mailbox-name"><?php echo $row->discount;?></td>
													<td class="text text-right"><?php echo $row->total_amount;?></td>
													<td class="mailbox-name"></td>
                                                </tr>
                                        <tr class="success">
											<td class="mailbox-name"></td>
											<td class="mailbox-name"></td>
											<td class="mailbox-name"></td>
											<td class="mailbox-name"></td>
											<td class="mailbox-name"></td>
											<td class="mailbox-name"></td>
                                        </tr>                                        
										<tr class="success">
											<td class="mailbox-name"></td>
											<td class="mailbox-name"></td>
											<td class="mailbox-name"></td>
											<td class="mailbox-name"><b>    <?php echo $this->lang->line('grand_total'); ?></b></td>
                                            <td align="left" class="text text-right" ><b>  <?php echo $row->total_amount; ?></b>  </td>
                                            <td class="text text-right"> </td> 
                                        </tr>
                                    </tbody>
                                </table>
                                <?php
                            }
                            ?>

                        </div>
                    </div>
                </div>  
            </div>
        </div>
        <div class="clearfix"></div>
        <footer>           
        </footer>
    </body>
</html>
